Bug 212322 - Autofs causes system hang
Autofs causes system hang
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Kent
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 05:49 EDT by adriano
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:33:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My auto.master file (445 bytes, text/plain)
2006-11-06 07:59 EST, adriano
no flags Details
auto.samba (223 bytes, text/plain)
2006-11-06 08:00 EST, adriano
no flags Details
daemon.debug log (151.57 KB, text/plain)
2006-11-06 08:10 EST, adriano
no flags Details
kernel backtrace (1.60 KB, text/plain)
2006-11-06 11:15 EST, adriano
no flags Details

  None (edit)
Description adriano 2006-10-26 05:49:42 EDT
Description of problem:
When I enable autofs deamon to mount windows shares my Gnome X Session hangs and
I can only power off my computer. This not happens if I manually mount samba
shares with mount.cifs with autofs stopped.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ian Kent 2006-10-26 07:34:06 EDT
(In reply to comment #0)
> Description of problem:
> When I enable autofs deamon to mount windows shares my Gnome X Session hangs and
> I can only power off my computer. This not happens if I manually mount samba
> shares with mount.cifs with autofs stopped.

You really need to do better than this in terms of information.

> 
> Version-Release number of selected component (if applicable):

What version?

> 
> 
> How reproducible:

What have you used in your maps for mounts cifs shares?

> 
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.

Something here would be good.

>   
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:

We will need a debug log.
Make sure that syslog is configured to send daemon.* to
a log file and set DEFAULT_LOGGING="debug" in
/etc/sysconfig/autofs.

Ian

Comment 2 adriano 2006-11-06 07:59:17 EST
Created attachment 140458 [details]
My auto.master file
Comment 3 adriano 2006-11-06 08:00:42 EST
Created attachment 140459 [details]
auto.samba
Comment 4 adriano 2006-11-06 08:10:05 EST
Created attachment 140464 [details]
daemon.debug log

You will see that autofs try to mount shares not configured in auto.samba but
still presents in another file auto.samba.save (my backup copy).
Comment 5 adriano 2006-11-06 08:14:46 EST
The end of /var/log/messages until hang...

...
Nov  6 12:48:41 fo-gigante3 automount[12666]: attempting to mount entry
/mnt/samba/fo-prestige1
Nov  6 12:48:41 fo-gigante3 automount[12666]: open_mount: (mount):cannot open
mount module cifs (/usr/lib/autofs/mount_cifs.so: cannot open shared object
file: No such file or directory)
Nov  6 12:48:41 fo-gigante3 automount[12666]: attempting to mount entry
/mnt/samba/wwwrep1
Nov  6 12:48:41 fo-gigante3 automount[12666]: failed to mount /mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: attempting to mount entry
/mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: failed to mount /mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: mount(generic): mounted
//fo-prestige1/c$ type cifs on /mnt/samba/fo-prestige1
Nov  6 12:48:42 fo-gigante3 automount[12666]: mounted /mnt/samba/fo-prestige1
Nov  6 12:48:42 fo-gigante3 automount[12666]: attempting to mount entry
/mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: failed to mount /mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: expiring path /mnt/samba/sep5
Nov  6 12:48:42 fo-gigante3 automount[12666]: attempting to mount entry
/mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: failed to mount /mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: unmounting dir = /mnt/samba/sep5
Nov  6 12:48:42 fo-gigante3 automount[12666]: expired /mnt/samba/sep5
Nov  6 12:48:42 fo-gigante3 automount[12666]: attempting to mount entry
/mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: failed to mount /mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: attempting to mount entry
/mnt/samba/sep5
Nov  6 12:48:42 fo-gigante3 automount[12666]: open_mount: (mount):cannot open
mount module cifs (/usr/lib/autofs/mount_cifs.so: cannot open shared object
file: No such file or directory)
Nov  6 12:48:42 fo-gigante3 automount[12666]: mount(generic): mounted
//fo-sep5/d$ type cifs on /mnt/samba/sep5
Nov  6 12:48:42 fo-gigante3 automount[12666]: mounted /mnt/samba/sep5
Nov  6 12:48:42 fo-gigante3 automount[12666]: attempting to mount entry
/mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: failed to mount /mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: attempting to mount entry
/mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: failed to mount /mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: attempting to mount entry
/mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: failed to mount /mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: attempting to mount entry
/mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: failed to mount /mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: attempting to mount entry
/mnt/samba/wwwrep1
Nov  6 12:48:42 fo-gigante3 automount[12666]: failed to mount /mnt/samba/wwwrep1
Nov  6 12:48:43 fo-gigante3 automount[12666]: attempting to mount entry
/mnt/samba/wwwrep1
Nov  6 12:48:43 fo-gigante3 automount[12666]: failed to mount /mnt/samba/wwwrep1
Nov  6 12:48:46 fo-gigante3 kernel: list_del corruption. next->prev should be
f654a9c0, but was 008090e5
Nov  6 12:48:46 fo-gigante3 kernel: ------------[ cut here ]------------
Nov  6 12:48:46 fo-gigante3 kernel: kernel BUG at lib/list_debug.c:70!
Nov  6 12:48:46 fo-gigante3 kernel: invalid opcode: 0000 [#1]
Nov  6 12:48:46 fo-gigante3 kernel: SMP
Nov  6 12:48:46 fo-gigante3 kernel: last sysfs file:
/devices/pci0000:00/0000:00:1f.2/usb1/1-2/1-2.3/1-2.3:1.0/host1/target1:0:0/1:0:0:0/model
Nov  6 12:48:46 fo-gigante3 kernel: Modules linked in: autofs4 vfat fat
usb_storage nls_utf8 cifs ppdev nfs lockd fscache nfs_acl vmnet(U) vmmon(U)
sunrpc ip_conntrack_netbios_ns ip_conntrack_ftp ipt_REJECT iptable_filter
ip_tables xt_state ip_conntrack nfnetlink xt_tcpudp ip6table_filter ip6_tables
x_tables video sbs i2c_ec button battery asus_acpi ac ipv6 parport_pc lp parport
intel_rng snd_intel8x0 snd_ac97_codec snd_ac97_bus snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq sg snd_seq_device snd_pcm_oss snd_mixer_oss ohci1394
i82860_edac ide_cd snd_pcm floppy edac_mc e1000 ieee1394 i2c_i801 cdrom i2c_core
snd_timer 3c59x snd serio_raw soundcore snd_page_alloc mii pcspkr dm_snapshot
dm_zero dm_mirror dm_mod aic7xxx scsi_transport_spi sd_mod scsi_mod ext3 jbd
ehci_hcd ohci_hcd uhci_hcd
Nov  6 12:48:46 fo-gigante3 kernel: CPU:    0
Comment 6 Ian Kent 2006-11-06 09:37:09 EST
(In reply to comment #5)
> Nov  6 12:48:43 fo-gigante3 automount[12666]: failed to mount /mnt/samba/wwwrep1
> Nov  6 12:48:46 fo-gigante3 kernel: list_del corruption. next->prev should be
> f654a9c0, but was 008090e5
> Nov  6 12:48:46 fo-gigante3 kernel: ------------[ cut here ]------------
> Nov  6 12:48:46 fo-gigante3 kernel: kernel BUG at lib/list_debug.c:70!
> Nov  6 12:48:46 fo-gigante3 kernel: invalid opcode: 0000 [#1]
> Nov  6 12:48:46 fo-gigante3 kernel: SMP
> Nov  6 12:48:46 fo-gigante3 kernel: last sysfs file:
>
/devices/pci0000:00/0000:00:1f.2/usb1/1-2/1-2.3/1-2.3:1.0/host1/target1:0:0/1:0:0:0/model
> Nov  6 12:48:46 fo-gigante3 kernel: Modules linked in: autofs4 vfat fat
> usb_storage nls_utf8 cifs ppdev nfs lockd fscache nfs_acl vmnet(U) vmmon(U)
> sunrpc ip_conntrack_netbios_ns ip_conntrack_ftp ipt_REJECT iptable_filter
> ip_tables xt_state ip_conntrack nfnetlink xt_tcpudp ip6table_filter ip6_tables
> x_tables video sbs i2c_ec button battery asus_acpi ac ipv6 parport_pc lp parport
> intel_rng snd_intel8x0 snd_ac97_codec snd_ac97_bus snd_seq_dummy snd_seq_oss
> snd_seq_midi_event snd_seq sg snd_seq_device snd_pcm_oss snd_mixer_oss ohci1394
> i82860_edac ide_cd snd_pcm floppy edac_mc e1000 ieee1394 i2c_i801 cdrom i2c_core
> snd_timer 3c59x snd serio_raw soundcore snd_page_alloc mii pcspkr dm_snapshot
> dm_zero dm_mirror dm_mod aic7xxx scsi_transport_spi sd_mod scsi_mod ext3 jbd
> ehci_hcd ohci_hcd uhci_hcd
> Nov  6 12:48:46 fo-gigante3 kernel: CPU:    0

No backtrace?

Ian
Comment 7 adriano 2006-11-06 11:15:46 EST
Created attachment 140486 [details]
kernel backtrace
Comment 8 Ian Kent 2006-11-06 11:32:11 EST
(In reply to comment #7)
> Created an attachment (id=140486) [edit]
> kernel backtrace
> 

I'm having trouble understanding how this is related to
autofs?

There's no evidence autofs is doing anything it shouldn't
as far as I can see.

Certainly the carsh is a problem but again I'm not sure
what area we should look to for advice.

Ian
Comment 9 adriano 2006-11-06 11:33:29 EST
This backtrace is not from a autofs hang but from an unmount of a cifs mounted
filesystem. I wasn't able to give you a backtrace of autofs hang. This could
help you?
Bye
Adriano
Comment 10 Ian Kent 2007-01-08 20:41:39 EST
(In reply to comment #9)
> This backtrace is not from a autofs hang but from an unmount of a cifs mounted
> filesystem. I wasn't able to give you a backtrace of autofs hang. This could
> help you?
> Bye
> Adriano

I seem to remember some talk about CIFS and a kernel issue
fairly recently. Can you try this with the latest kernel
please.

Ian
Comment 11 adriano 2007-02-13 13:45:42 EST
(In reply to comment #10)
> (In reply to comment #9)
> > This backtrace is not from a autofs hang but from an unmount of a cifs mounted
> > filesystem. I wasn't able to give you a backtrace of autofs hang. This could
> > help you?
> > Bye
> > Adriano
> 
> I seem to remember some talk about CIFS and a kernel issue
> fairly recently. Can you try this with the latest kernel
> please.
> 
> Ian

Kernel trace with this new computer, new fedora release (zod), new kernel ...
same bug !?

A specific windows share causes crash

Any other infos?
Ciao

 Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel: Oops: 0000 [#1]

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel: SMP

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel: CPU:    0

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel: EIP:    0061:[<c04e9cf1>]    Not tainted VLI

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel: EFLAGS: 00010086   (2.6.19-1.2895.fc6xen #1)

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel: EIP is at list_del+0x9/0x6c

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel: eax: 008090e5   ebx: cb2ac520   ecx: 00000001   edx: 00000000

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel: esi: ed7fc6c0   edi: d52ba000   ebp: c0e54cc0   esp: c0d5aef0

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel: ds: 007b   es: 007b   ss: 0069

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel: Process events/0 (pid: 8, ti=c0d5a000 task=ed7c25d0
task.ti=c0d5a000)

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel: Stack: dbdc4000 ed700200 ed7fc540 cb2ac520 c0467706
00000002 c0686700 c0d27c80

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel:        00000001 00000000 ed7fc760 ed7fc760 00000001
ed7fc740 00000000 c0467809

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel:        00000000 00000000 c0e54cc0 ed7fc6e4 ed7fc6c0
c0e54cc0 c027cc40 00000000

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel:  [<c0467706>] free_block+0x77/0xf0

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel:  [<c0467809>] drain_array+0x8a/0xb5

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel:  [<c0468df0>] cache_reap+0x53/0x117

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel:  [<c042d603>] run_workqueue+0x97/0xdd

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel: Call Trace:

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel:  [<c042dfc0>] worker_thread+0xd9/0x10d

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel:  [<c043058c>] kthread+0xc0/0xec

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel:  [<c0405253>] kernel_thread_helper+0x7/0x10

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel:  =======================

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel: Code: 8d 46 04 e8 86 00 00 00 8d 4b 0c 8b 51 04 8d 46 0c 83
c4 18 5b 5e 5f e9 72 00 00 00 89 c3 eb e8 90 90 53 89 c3 83 ec 0c 8b 40 04 <8b>
00 39 d8 74 1c 89 5c 24 04 89 44 24 08 c7 04 24 45 61 64 c0

Message from syslogd@FO-A-Gigante at Tue Feb 13 19:36:57 2007 ...
FO-A-Gigante kernel: EIP: [<c04e9cf1>] list_del+0x9/0x6c SS:ESP 0069:c0d5aef0

Comment 12 Ian Kent 2007-02-13 21:20:09 EST
(In reply to comment #11)
> 
> Kernel trace with this new computer, new fedora release (zod), new kernel ...
> same bug !?

What kernel version?

> 
> A specific windows share causes crash
> 
> Any other infos?

Where's the kernel trace info?

Ian
Comment 13 Bug Zapper 2008-04-04 00:07:25 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 14 Bug Zapper 2008-05-06 12:33:17 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.